Update Space And Models
curl --request PUT \
--url https://api.pulze.ai/v1/apps/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_parent_custom_data": true,
"benchmark_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"app_logo": "<string>",
"weights": {
"cost": 0,
"latency": 0,
"quality": 1
},
"policies": {
"privacy_level": 1,
"max_cost": 0.02,
"max_switch_model_retries": 1,
"max_same_model_retries": 1,
"optimize_internal_requests": 0,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"has_failover_chain": true,
"settings": {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"max_tokens": 4096,
"temperature": 0.7
}
}
'import requests
url = "https://api.pulze.ai/v1/apps/update"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_parent_custom_data": True,
"benchmark_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"app_logo": "<string>",
"weights": {
"cost": 0,
"latency": 0,
"quality": 1
},
"policies": {
"privacy_level": 1,
"max_cost": 0.02,
"max_switch_model_retries": 1,
"max_same_model_retries": 1,
"optimize_internal_requests": 0,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"has_failover_chain": True,
"settings": {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"max_tokens": 4096,
"temperature": 0.7
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sandbox_of: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
use_parent_custom_data: true,
benchmark_model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
app_logo: '<string>',
weights: {cost: 0, latency: 0, quality: 1},
policies: {
privacy_level: 1,
max_cost: 0.02,
max_switch_model_retries: 1,
max_same_model_retries: 1,
optimize_internal_requests: 0,
prompt_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
has_failover_chain: true,
settings: {
assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assistant_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instructions: '<string>',
max_tokens: 4096,
temperature: 0.7
}
})
};
fetch('https://api.pulze.ai/v1/apps/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"main": {
"app": {
"auth0_id": "<string>",
"modified_by": "<string>",
"hashed_key": "<string>",
"key_end": "<string>",
"name": "<string>",
"is_active": true,
"has_failover_chain": true,
"benchmark_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"benchmark_model": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt": {
"prompt": "<string>",
"title": "<string>",
"description": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokens": 123,
"published_on": "2023-11-07T05:31:56Z",
"reviewed_on": "2023-11-07T05:31:56Z",
"approved_on": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decline_reason": "<string>"
},
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"app_logo": "<string>",
"rate_limit": 200,
"weights": {
"cost": 0,
"latency": 0,
"quality": 1
},
"policies": {
"privacy_level": 1,
"max_cost": 0.02,
"max_switch_model_retries": 1,
"max_same_model_retries": 1,
"optimize_internal_requests": 0,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"settings": {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"max_tokens": 4096,
"temperature": 0.7
},
"sandbox_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_parent_custom_data": true,
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z"
},
"active_models": 123,
"base_model_settings": [
{
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": false,
"globally_disabled": false
}
],
"custom_model_settings": [
{
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": false,
"globally_disabled": false
}
],
"failover_models": [
{
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"current_user_permissions": [
"<string>"
]
},
"sandbox": {
"app": {
"auth0_id": "<string>",
"modified_by": "<string>",
"hashed_key": "<string>",
"key_end": "<string>",
"name": "<string>",
"is_active": true,
"has_failover_chain": true,
"benchmark_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"benchmark_model": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt": {
"prompt": "<string>",
"title": "<string>",
"description": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokens": 123,
"published_on": "2023-11-07T05:31:56Z",
"reviewed_on": "2023-11-07T05:31:56Z",
"approved_on": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decline_reason": "<string>"
},
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"app_logo": "<string>",
"rate_limit": 200,
"weights": {
"cost": 0,
"latency": 0,
"quality": 1
},
"policies": {
"privacy_level": 1,
"max_cost": 0.02,
"max_switch_model_retries": 1,
"max_same_model_retries": 1,
"optimize_internal_requests": 0,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"settings": {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"max_tokens": 4096,
"temperature": 0.7
},
"sandbox_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"use_parent_custom_data": true,
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z"
},
"active_models": 123,
"base_model_settings": [
{
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": false,
"globally_disabled": false
}
],
"custom_model_settings": [
{
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": false,
"globally_disabled": false
}
],
"failover_models": [
{
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"current_user_permissions": [
"<string>"
]
},
"sandbox_status": "outdated"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Spaces
Update Space And Models
Update an Space’s configuration.
PUT
/
v1
/
apps
/
update
Update Space And Models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The app this sandbox relates to
Used to update the benchmark model
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
